Build dashboards
Save dashboard layouts
PUT
/api/boards/{id}/layoutsSave the same responsive layout settings used by the dashboard editor. Requires modify access.
Authorization
apikey ApiKey<token>
API key which can be obtained in the Homarr administration dashboard
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/boards/string/layouts" \ -H "Content-Type: application/json" \ -d '{ "layouts": [ { "id": "string", "name": "string", "columnCount": 1, "breakpoint": 0, "role": "mobile" }, { "id": "string", "name": "string", "columnCount": 1, "breakpoint": 0, "role": "mobile" } ] }'[ { "id": "string", "name": "string", "columnCount": 1, "leftGutterColumnCount": 0, "rightGutterColumnCount": 0, "breakpoint": 0, "role": "mobile" }, { "id": "string", "name": "string", "columnCount": 1, "leftGutterColumnCount": 0, "rightGutterColumnCount": 0, "breakpoint": 0, "role": "mobile" }]